<template lang="pug">
.row.b-param-container.justify-content-center.x-setup-info
  BaseParamReadonly.col-12.col-xl-6(title='Materials Setup' :value='materialsSetup.name || "Not Set"')
  BaseParam.col-12.col-xl-6.x-desc(title='Description')
    .col-12
      BaseMarkdownWidget(:value='materialsSetup.description')
  .col-12
    BaseCollapsible(:expand='false' :counter='getSize(materials.filters)'
      :class="{ 'text-muted': $butils.isEmpty(materials.filters) }").mt-2
      template(v-slot:header)
        strong #[i.fa.fa-filter] Filters
      ul.list-group.w-100.mr-2
        Material(:key='m.materialId' v-for='m in materials.filters' v-bind="get('dbFilters', m.materialId)")
  .col-12
    BaseCollapsible(:expand='false' :counter='getSize(materials.samples)'
      :class="{ 'text-muted': $butils.isEmpty(materials.samples) }")
      template(v-slot:header)
        strong #[i.fa.fa-dice-d20] Samples
      ul.list-group.w-100.mr-2
        Material(:key='m.materialId' v-for='m in materials.samples' v-bind="get('dbSamples', m.materialId)")
  .col-12
    BaseCollapsible(:expand='false' :counter='getSize(materials.sources)'
      :class="{ 'text-muted': $butils.isEmpty(materials.sources) }")
      template(v-slot:header)
        strong #[i.fa.fa-radiation] Sources
      ul.list-group.w-100.mr-2
        Material(:key='m.materialId' v-for='m in materials.sources' v-bind="get('dbSources', m.materialId)")
</template>
<script>

export { default } from './MaterialSetupInfo.vue.js';

</script>
<style lang='scss'>
.x-setup-info {
  .x-desc .card-body {
      margin-top: 0.5rem;
  }
}
</style>
